package cz.iivos.pjj.weather;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.List;

/**
 * Vzdálené rozhraní služby poskytující informace o počasí v různých
 * městech jako seznam instancí třídy WeatherBean.
 */
public interface WeatherService extends Remote {

	/**
	 * Vrátí seznam instancí třídy WeatherBean obsahující aktuální
	 * informace o počasí v různých městech.
	 * 
	 * @return seznam objektů s informacemi o počasí.
	 * @throws RemoteException
	 *             pokud dojde k chybě při komunikaci se vzdáleným
	 *             serverem.
	 */
	public List<WeatherBean> getWeatherInformation()
			throws RemoteException;
}
